%define oname   curb

Name:       ruby-%{oname}
Version:    0.7.15
Release:    %mkrel 1
Summary:    Ruby libcurl bindings
Group:      Development/Ruby
License:    MIT
URL:        http://curb.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: ruby-devel
BuildRequires: curl-devel
Requires:   ruby(abi) = 1.8

%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for
the libcurl(3), a fully-featured client-side URL transfer library. cURL and
libcurl live at http://curl.haxx.se/

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/curb_core.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.15-1.mga1
+ Revision: 86547
- New version 0.7.15 - add check section

* Thu Feb 03 2011 shikamaru <shikamaru> 0.7.10-1.mga1
+ Revision: 46569
- imported package ruby-curb


* Thu Feb 03 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.7.10-1
- Initial package
